=== requirements.txt ===
# SPDX-FileCopyrightText: 2017 Free Software Foundation Europe e.V. <https://fsfe.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

binaryornot==0.4.4
boolean.py==3.8
Jinja2==2.11.3
license-expression==21.6.14
python-debian==0.1.38
requests==2.26.0

setuptools==58.3.0
setuptools-scm==6.3.2
