=== debian/changelog ===
reuse (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0
  * Upload to unstable

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 06 Jan 2022 23:39:23 +0100

reuse (0.13.0+git2021110.4ce4c5f-1) experimental; urgency=medium

  * New upstream snapshot 0.13.0+git2021110.4ce4c5f
  * add autopkgtest

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 09 Dec 2021 23:11:45 +0100

reuse (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * Update standards version to 4.6.0.1, no changes needed
  * Upload to unstable

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 13 Oct 2021 14:01:42 +0200

reuse (0.12.1-1) experimental; urgency=medium

  * Initial release. (Closes: #974696)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 31 Mar 2021 10:43:28 +0200
