=== debian/control ===
Source: reuse
Section: devel
Priority: optional
Maintainer: Stephan Lachnit <stephanlachnit@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-binaryornot,
 python3-boolean,
 python3-jinja2,
 python3-debian,
 python3-license-expression,
 python3-requests,
 python3-setuptools,
 python3-setuptools-scm,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: https://reuse.software/
Vcs-Browser: https://salsa.debian.org/debian/reuse
Vcs-Git: https://salsa.debian.org/debian/reuse.git

Package: reuse
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-binaryornot,
 python3-boolean,
 python3-jinja2,
 python3-debian,
 python3-license-expression,
 python3-requests,
Description: tool for REUSE copyright and license recommendations
 Managing copyright and licensing is difficult, especially when reusing
 software from different projects that are released under various different
 licenses. REUSE was started by the Free Software Foundation Europe (FSFE) to
 provide a set of recommendations to make licensing your Free Software projects
 easier. Not only do these recommendations make it easier for you to declare
 the licenses under which your works are released, but they also make it easier
 for a computer to understand how your project is licensed.
 .
 This package contains a tool for checking and helping with compliance with the
 REUSE recommendations.
