=== debian/tests/control ===
Tests: selflint
Depends: @, python3-all
Restrictions: allow-stderr
