## reuse 1.0.0

=== debian/changelog ===
reuse (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Fri, 27 May 2022 09:43:29 +0200
