=== debian/changelog ===
reuse (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 09 Feb 2023 19:21:35 +0100

reuse (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1

 -- Stephan Lachnit <stephanlachnit@debian.org>  Mon, 06 Feb 2023 08:56:02 +0100

reuse (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Update standards version to 4.6.1, no changes needed

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 08 Jan 2023 15:10:21 +0100
