=== debian/control ===
--- 
+++ 
@@ -5,17 +5,19 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-binaryornot,
  python3-boolean,
  python3-jinja2,
  python3-debian,
  python3-license-expression,
+ python3-poetry-core,
  python3-requests,
  python3-setuptools,
  python3-setuptools-scm,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://reuse.software/
 Vcs-Browser: https://salsa.debian.org/debian/reuse
 Vcs-Git: https://salsa.debian.org/debian/reuse.git
