=== debian/tests/control ===
Tests: selflint
Depends: @
Restrictions: allow-stderr
