=== debian/changelog ===
reuse (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 29 Oct 2023 11:13:52 +0100
