=== debian/control ===
--- 
+++ 
@@ -13,9 +13,6 @@
  python3-debian,
  python3-license-expression,
  python3-poetry-core,
- python3-requests,
- python3-setuptools,
- python3-setuptools-scm,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://reuse.software/
@@ -27,12 +24,6 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- python3-binaryornot,
- python3-boolean,
- python3-jinja2,
- python3-debian,
- python3-license-expression,
- python3-requests,
 Description: tool for REUSE copyright and license recommendations
  Managing copyright and licensing is difficult, especially when reusing
  software from different projects that are released under various different
