=== debian/watch ===
version=4
https://github.com/fsfe/reuse-tool/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
