## reuse 3.0.1

=== debian/changelog ===
reuse (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 12 Mar 2024 22:18:37 +0100
