## reuse 4.0.3

=== debian/changelog ===
reuse (4.0.3-1) unstable; urgency=medium

  * New upstream version 4.0.3 (Closes: #1072216)
  * Update standards version to 4.6.1, no changes needed

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 08 Aug 2024 10:35:45 +0200
