=== debian/control ===
--- 
+++ 
@@ -7,14 +7,16 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-poetry-core,
+ python3-attr,
  python3-binaryornot,
  python3-boolean,
  python3-jinja2,
  python3-debian,
  python3-license-expression,
- python3-poetry-core,
+ python3-tomlkit,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://reuse.software/
 Vcs-Browser: https://salsa.debian.org/debian/reuse
 Vcs-Git: https://salsa.debian.org/debian/reuse.git
