## reuse 5.0.2

=== Makefile ===
--- 
+++ 
@@ -56,13 +56,8 @@
 	poetry run python3 .github/workflows/third_party_lint.py --defaults --json
 
 .PHONY: docs
-docs: ## generate Sphinx HTML documentation, including API docs
-	poetry export --with docs --without-hashes >docs/requirements.txt
-	$(MAKE) -C docs html
-
-.PHONY: docs-ci
-docs-ci: ## generate Sphinx HTML documentation, including API docs without dependency file generation (for CI)
-	$(MAKE) -C docs html
+docs: clean-docs ## generate Sphinx HTML documentation, including API docs
+	$(MAKE) -C docs html man
 
 .PHONY: dist
 dist: clean-build clean-pyc clean-docs ## builds source and wheel package
@@ -71,9 +66,9 @@
 
 .PHONY: create-pot
 create-pot:  ## generate .pot file
-	xgettext --add-comments --from-code=utf-8 --output=po/reuse.pot --files-from=po/POTFILES.in
-	xgettext --add-comments --output=po/argparse.pot /usr/lib*/python3*/argparse.py
-	msgcat --output=po/reuse.pot po/reuse.pot po/argparse.pot
+	xgettext --add-comments --from-code=utf-8 --output=po/reuse.pot src/reuse/**/*.py
+	xgettext --add-comments --output=po/click.pot "${VIRTUAL_ENV}"/lib/python*/*-packages/click/**.py
+	msgcat --output=po/reuse.pot po/reuse.pot po/click.pot
 	for name in po/*.po; do \
 		msgmerge --output=$${name} $${name} po/reuse.pot; \
 	done
