=== debian/changelog ===
reuse (5.0.2-1) unstable; urgency=medium

  * New upstream version 5.0.2

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sat, 16 Nov 2024 16:24:09 +0100
