=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  python3-all,
  python3-poetry-core,
  python3-attr,
+ python3-click,
  python3-binaryornot,
  python3-boolean,
  python3-jinja2,
